# $Revision: 1.24 $, $Date: 2006/11/01 21:15:09 $
Summary:	International Components for Unicode
Summary(pl):	Midzynarodowe komponenty dla unikodu
Name:		icu
Version:	3.4.1
Release:	1
License:	X License
Group:		Libraries
Source0:	ftp://ftp.software.ibm.com/software/globalization/icu/%{version}/%{name}-%{version}.tgz
# Source0-md5:	2a16f58bcb26e5010c946dca9ec08d5f
URL:		http://www.ibm.com/software/globalization/icu/
BuildRequires:	automake
BuildRequires:	libstdc++-devel
Requires:	libicu = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode and locale support. The library provides
calendar support, conversions for many character sets, language
sensitive collation, date and time formatting, support for many
locales, message catalogs and resources, message formatting,
normalization, number and currency formatting, time zones support,
transliteration, word, line and sentence breaking, etc.

This package contains the Unicode character database and derived
properties, along with converters and time zones data.

%description -l pl
ICU jest grup bibliotek C i C++, ktre dostarczaj kompletn i pen
obsug Unikodu i lokalizacji. Biblioteka dostarcza obsug
kalendarza, konwersje dla wielu zestaww znakw, sortowanie zalene od
jzyka, formatowanie daty i czasu, wsparcie dla wielu lokalizacji,
katalogw komunikatw i zasobw, formatowanie komunikatw,
normalizacj, formatowanie liczb i walut, obsug stref czasowych,
transliteracj, amanie sw, linii i zda itp.

Ten pakiet zawiera baz znakw unikodowych i pochodne wasnoci wraz z
konwerterami i danymi stref czasowych.

%package -n libicu
Summary:	International Components for Unicode (libraries)
Summary(pl):	Midzynarodowe Komponenty dla Unikodu (biblioteki)
Group:		Development/Libraries
Obsoletes:	libicu30

%description -n libicu
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode support. This package contains the runtime
libraries for ICU. It does not contain any of the data files needed at
runtime and present in the `icu' and `icu-locales` packages.

%description -n libicu -l pl
ICU jest grup bibliotek C i C++, ktre dostarczaj kompletn i pen
obsug Unikodu i lokalizacji. Ten pakiet zawiera biblioteki
uruchomieniowe ICU. Nie zawiera adnych plikw z danymi potrzebnymi w
czasie dziaania i obecnymi w pakietach "icu" i "icu-locales".

%package -n libicu-devel
Summary:	International Components for Unicode (development files)
Summary(pl):	Midzynarodowe komponenty dla Unikodu (pliki dla programistw)
Group:		Development/Libraries
Requires:	libicu = %{version}-%{release}

%description -n libicu-devel
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode support. This package contains the development
files for ICU.

%description -n libicu-devel -l pl
ICU jest grup bibliotek C i C++, ktre dostarczaj kompletn i pen
obsug Unikodu i lokalizacji. Ten pakiet zawiera pliki
programistyczne ICU.

%prep
%setup -q -n %{name}

%build
cd source
cp -f /usr/share/automake/config.* .
%configure2_13 \
	--sbindir=%{_bindir} \
	--disable-samples

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C source install \
	DESTDIR=$RPM_BUILD_ROOT

# help rpm to generate deps
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.*

rm -f $RPM_BUILD_ROOT%{_datadir}/icu/%{version}/license.html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libicu -p /sbin/ldconfig
%postun	-n libicu -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc license.html readme.html
%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/icu-config
%{_datadir}/%{name}/%{version}/mkinstalldirs
%{_mandir}/man1/*
%{_mandir}/man8/*

%files -n libicu
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/icu
%dir %{_libdir}/icu/current
%dir %{_libdir}/icu/%{version}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}

%files -n libicu-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%dir %{_includedir}/unicode
%dir %{_includedir}/layout
%{_includedir}/unicode/*.h
%{_includedir}/layout/*.h
%{_libdir}/%{name}/Makefile.inc
%{_libdir}/%{name}/%{version}/Makefile.inc
%{_datadir}/%{name}/%{version}/config
%attr(755,root,root) %{_bindir}/icu-config

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icu.spec,v $
Revision 1.24  2006/11/01 21:15:09  glen
- check-files cleanup

Revision 1.23  2006/11/01 21:08:57  glen
- update URL

Revision 1.22  2006/10/24 22:14:27  sls
- updated to version 3.4.1
- changed source URL

Revision 1.21  2006/10/24 21:56:12  sls
- moved all binaries from _sbindir to _bindir
- icu-config moved to libicu-devel subpackage

Revision 1.20  2006/10/22 13:20:52  sls
- moved directories required by libicu-devel from icu to libicu

Revision 1.19  2005/05/10 21:37:16  pluto
- release 2 for Th.

Revision 1.18  2005/01/09 19:37:09  qboosh
- updated to 3.2

Revision 1.17  2004/12/25 17:55:31  qboosh
- cleanups

Revision 1.16  2004/07/11 19:30:56  qboosh
- chmod hack to allow rpm to find deps for libs; release 2

Revision 1.15  2004/07/11 19:25:20  qboosh
- fixed build on amd64, files fixes

Revision 1.14  2004/07/11 18:54:14  qboosh
- missing dir and defattrs

Revision 1.13  2004/07/11 18:35:47  krzak
- BuildRequires:  autoconf
- BuildRequires:  gcc-c++

Revision 1.12  2004/07/11 18:00:04  krzak
- build and work
- rel 1.
- remove locales subpackage

Revision 1.11  2004/07/09 20:45:24  krzak
- it build now.

Revision 1.10  2004/07/06 19:18:22  qboosh
- fixed+finished pl, some cleanups

Revision 1.9  2004/07/06 15:11:55  domelu
- buggy ftp on source0?

Revision 1.8  2004/07/06 14:24:40  domelu
- back to proper source0

Revision 1.7  2004/07/06 14:19:01  domelu
- df hack

Revision 1.6  2004/07/06 11:51:56  domelu
- MD5

Revision 1.5  2004/07/06 09:31:19  domelu
- added lost changelog

Revision 1.4  2004/07/06 09:27:26  domelu
- cosmetics

Revision 1.3  2004/07/06 09:24:38  krzak
- updated .spec with log

Revision 1.2  2004/07/06 9:22:41  krzak
- X License
- rel 0.1 not 1

Revision 1.1  2004/07/06 9:17:48  krzak
- initial
